﻿using Microsoft.EntityFrameworkCore;
using Zoo.DAL.Models;

namespace Zoo.DAL;

public class ZooDbContext : DbContext
{
    private readonly string ConnectionString = "Server=(localdb)\\mssqllocaldb;Integrated Security=True;MultipleActiveResultSets=True;Database=MyZooDB_Tasks;Trusted_Connection=True;";
    public DbSet<Animal> Animal { get; set; }
    public DbSet<Sponsor> Sponsor { get; set; }
    public DbSet<Sponsorship> Sponsorship { get; set; }
    public DbSet<Zookeeper> Zookeeper { get; set; }

    public ZooDbContext() : base() { }
    public ZooDbContext(string connectionString) : base()
    {
        ConnectionString = connectionString;
    }

    protected override void OnConfiguring(DbContextOptionsBuilder optionsBuilder)
    {
        optionsBuilder
            .UseSqlServer(ConnectionString);
    }

    protected override void OnModelCreating(ModelBuilder modelBuilder)
    {
        modelBuilder.Seed();

        base.OnModelCreating(modelBuilder);
    }

}
